/*
* Theme Name: Astra Child
* template: astra
*/

img#p3d-model-message-upload-icon {
    float: none !important;
}
.qty-container span {
 	align-items: center;
}
/* input#coupon_code {
    width: 200px;
    padding: 23px !important;
    padding-left: 10px !important;
} */
header.entry-header {
    width: 1290px;
    margin: 0 auto;
}
header.entry-header.ast-no-thumbnail.ast-header-without-markup {
    width: 1290px;
    margin: 0 auto;
}
table.shop_table.woocommerce-checkout-review-order-table tbody tr .product-name {
    display: block !important;
}

/*  */
.woocommerce-MyAccount-navigation > ul,.wc-item-meta{
	padding-left:0 !important
}
#unit_inch,#unit_inch+label{
	display:none;
}

#registration-wraper,
#login-wraper{
	display:none;
	padding:30px
}
#registration-wraper.show,
#login-wraper.show{
	display:block
}

#pum-1204 .pum-container{
    padding:0;
}
.pop-wrapper-non-logged-in {
    display:flex;
    flex-wrap:wrap;
    align-items:center
}
.pop-wrapper-non-logged-in h1{
    font-size:32px;
    font-weight:900;
    margin:20px 0;
}
.pop-wrapper-non-logged-in ul{
    list-style:none;
    margin:0;
}
.pop-wrapper-non-logged-in ul li{
    display:flex;
    align-items:center;
    column-gap:10px;
    padding:5px 0
}
.pop-wrapper-non-logged-in ul li img{
    width:15px;
    height:15px;
}
.pop-wrapper-non-logged-in > div{
    flex:0 0 50%;
	height:100%;
}
.pop-wrapper-non-logged-in .non-logged-in-info{
	background-color:#F2F8FF;
	padding:30px;
	align-content:center
}
.pop-wrapper-non-logged-in .text-center{
	text-align:center;
	margin-top:30px
}

/*  */
.plupload_filelist li,
.plupload_filelist_header{
    display:flex;
    height:unset;
    justify-content:center
}
#p3d-bulk-uploader_filelist{
    padding:0
}
.plupload_file_model_name{
    font-size:12px;
    font-weight:600 !important;
    margin-bottom:10px
}
.plupload_file_model_name .plupload_info_icon{
    display:none !important
}
.plupload_filelist li .plupload_file_name,
.plupload_filelist_header .plupload_file_name{
    width:300px;
    order:0;
}
.plupload_filelist li .p3d-stats-bulk,
.plupload_filelist_header .plupload_clearer{
    order:1;
    width:300px;
    margin: 0;
}
.plupload_filelist li .plupload_file_action,
.plupload_filelist_header .plupload_file_action{
    order:9;
    width:5%;
    margin:0;
    height:100%;
}
.plupload_filelist li .plupload_file_size,
.plupload_filelist_header .plupload_file_size{
    order:5;
    width:10%
}
.plupload_filelist li .plupload_file_status,
.plupload_filelist_header .plupload_file_status{
    order:6;
    width:15%
}
.plupload_filelist li .plupload_file_qty,
.plupload_filelist_header .plupload_file_qty{
    order:7;
    /* width:10% */
}
.plupload_filelist li .plupload_file_price,
.plupload_filelist_header .plupload_file_price{
    order:8;
    width:10%
}

.plupload_file_size, .plupload_file_price, .plupload_file_qty, .plupload_progress,.plupload_file_status,.plupload_file_action{
    text-align:center
}
.plupload_filelist li > div{
    padding:1em
}
.plupload_filelist li .plupload_file_price,
.plupload_filelist li .plupload_file_size,
.plupload_filelist li .plupload_file_action,
.plupload_filelist li .plupload_file_status
{
    font-size:12px !important;
    line-height:25px
}
.plupload_filelist li .plupload_file_qty input{
    font-size:12px !important;
    height:unset !important;
    padding: 5px !important;
}
.plupload_filelist li .plupload_file_qty button{
    display:none
}
.plupload_header{
	cursor:pointer
}
/*  */
@media only screen and (max-width: 768px) {
    .plupload_filelist_header {
        display: none;
    }
	.plupload_filelist li{
		flex-direction:column
	}
}

/* Checkout */
.woocommerce-checkout  td.product-name .wc-item-meta, .woocommerce-checkout  td.product-name dl.variation{
    font-size:12px;
    line-height:1.5
}
.woocommerce-checkout  td.product-name dl.variation dt{
    font-weight:700;
    font-size:12px;
}
.woocommerce-checkout .woocommerce-shipping-methods label,
.woocommerce-checkout .woocommerce-shipping-destination{
    font-size:12px;
    vertical-align: text-top;
}
.woocommerce-checkout .cart_item{
    font-size:14px
}
form #order_review_heading:not(.elementor-widget-woocommerce-checkout-page #order_review_heading){
    display:none;
}
.woocommerce-checkout #order_review{
   	border: 1px solid var(--ast-border-color) !important;
    padding-top: 10px !important;
    border-radius: 10px;
	box-shadow: 0 0 10px var(--ast-border-color);
}
li.wc_payment_method  label:first-of-type img{
	float: right;
    max-height: 20px;
    max-width: 110px;
}
.woocommerce-checkout form .form-row label{
    font-weight:600;
	font-size:14px;
    color:#666
}
/* Cart */

.woocommerce-cart .woocommerce {
	display:flex;
	flex-direction:row;
	flex-wrap:wrap
}

.woocommerce-cart .woocommerce-cart-form{
	flex:0 0 calc( 70% - 40px);
	max-width:calc( 70% - 40px);
	margin-right:40px;
}
.woocommerce-cart .cart-collaterals{
	flex:0 0 30%;
	max-width:30%;
}
.woocommerce-cart .p3d-cart-thumbnail {
	border:1px solid #ccc;
	aspect-ratio:1;
	object-fit:contain;
	object-position:center;

	margin-top:4px;
}
td.woocommerce-table__product-thumb.product-thumb {
    width: 100px;
}
td.woocommerce-table__product-thumb.product-thumb div{
    border: 1px solid #ccc;
    overflow: hidden;
    height: 100px;
    width: 100px;
    display:flex;
    align-items:center;
}
ul.wc-item-meta li:nth-child(1),
ul.wc-item-meta li:nth-child(6),
ul.wc-item-meta li:nth-child(8),
.woocommerce-checkout ul.wc-item-meta li:nth-child(7),
ul.wc-item-meta + .button{
    display:none;
}
.woocommerce table.shop_table,
.woocommerce-js table.shop_table tbody th, 
.woocommerce-js table.shop_table tbody td, 
.woocommerce-js table.shop_table tfoot td, 
.woocommerce-js table.shop_table tfoot th,
.woocommerce-cart .cart-collaterals .cart_totals tr td,
.woocommerce-cart .cart-collaterals .cart_totals tr th{
	border:none !important;
	vertical-align: top;
}
.woocommerce-cart table.shop_table td.product-thumbnail{
	width:70px;
}
.woocommerce-cart table.shop_table td,
.woocommerce-cart table.shop_table th{
	vertical-align:top;
	padding:10px;
	font-size:14px;
}
.woocommerce-cart table.shop_table th:first-child,
.woocommerce-cart table.shop_table td:first-child{
	padding-left:0
}
.woocommerce-js table.shop_table th:last-child,
.woocommerce-js table.shop_table td:last-child{
	padding-right:0;
	text-align:right;
}
.woocommerce-cart td.product-name .wc-item-meta, .woocommerce-cart td.product-name dl.variation{
	font-size:12px;
	line-height:1.5
}
.woocommerce-cart td.product-name dl.variation dt{
	font-weight:700;
}
.woocommerce-cart .cart-collaterals .cart_totals label,
.woocommerce-shipping-destination{
	font-size:12px;
	vertical-align: text-top;
}
.woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals{
	float:unset;
	width:100%;
	border-radius:10px;
	box-shadow: 0 0 10px var(--ast-border-color);
	padding:15px 20px;
}
.woocommerce-cart .coupon {
	display: flex;
}

.woocommerce-cart .coupon input{
	flex: 0 0 65%;
	font-size:14px !important;
	border-radius:5px !important;
		
}
.woocommerce-cart .coupon button.button{
	font-size:12px;
	padding:0;
	flex:1
}
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button{
	margin:0;
	padding:10px
}


.woocommerce-cart td.product-quantity input[type="number"] {
	width: 40px ;
	font-size: 14px ;
	padding: 5px !important;
	min-height: unset ;
	height: auto ;
}
.woocommerce-cart td.product-quantity input::-webkit-outer-spin-button,
.woocommerce-cart td.product-quantity input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}
.qty-btn-wrapper {
	display: flex;
	justify-content:center;
	column-gap:10px
}
.woocommerce-cart .woocommerce-notices-wrapper, .woocommerce-cart .wc-empty-cart-message {
    flex: 0 0 100%;
    max-width: 100%;
}
button.qty-btns {
	width:33px;
	padding:0;
	height:100;
	display:flex;
	justify-content:center;
	align-items:center;
	background:#eee;
	border-radius:50%;
	font-size:10px;
	transition:all .3s ease-in-out
}

button.qty-btns:active,
button.qty-btns:focus,
button.qty-btns:hover{
	background:var(--ast-global-color-1);
	color:#fff
}
button.qty-btns svg line{
	stroke:#000;
}
button.qty-btns:hover svg line{
	stroke:#fff;
}
.woocommerce-js form .form-row input.input-text, .woocommerce-js form .form-row textarea{
    border-radius:5px;
	color:#777
}

.woocommerce-order-received .stage-bar-checkout.elementor-view-stacked .elementor-icon{
    background-color: var(--e-global-color-accent) !important;
    fill: var(--e-global-color-7b6b973);
    color: var(--e-global-color-7b6b973);
}

.woocommerce-order-received .stage-bar-checkout.elementor-view-stacked .elementor-icon i:before{
    content: "\e9f8";
}
.woocommerce-order-received .stage-bar-thankyou.elementor-view-stacked .elementor-icon{
    background-color: var(--e-global-color-astglobalcolor1) !important;
    fill: var(--e-global-color-7b6b973)  !important;
    color: var(--e-global-color-7b6b973) !important;;
}
.woocommerce-order-received .stage-bar-thankyou.elementor-view-stacked .elementor-icon-box-title{
	font-weight: 700 !important
}
.woocommerce-order-received .elementor-divider-separator{
    border-block-start: var(--divider-border-width) var(--divider-border-style) var(--e-global-color-accent)  !important;;
}
td.woocommerce-table__cart-total.cart-total .woocommerce-Price-amount,
.woocommerce-table--order-details.order_total_details tr:last-child td .woocommerce-Price-amount{
    color:var(--e-global-color-astglobalcolor1);
    font-weight:bold !important;
    font-size:20px
}
.woocommerce-checkout address{
	margin:0
}
@media screen and (max-width:992px){
	.woocommerce-cart .woocommerce-cart-form{
		flex:0 0 100%;
		max-width:100%;
		margin-right:40px;
	}
	.woocommerce-cart .cart-collaterals{
		flex:0 0 100%;
		max-width:100%;
	}
	.woocommerce-cart table.shop_table td.product-thumbnail{
		display:none;
	}
	.woocommerce-cart table.shop_table td
	{
		border:none;
		padding:10px 0;
	}
	.qty-btn-wrapper{
		justify-content:flex-end;
	}
	.woocommerce-cart table.shop_table tr:not(:first-child){
		border-top:1px solid var(--ast-border-color);
	}
	td.woocommerce-table__product-thumb.product-thumb {
		width: 50px;
	}
	td.woocommerce-table__product-thumb.product-thumb div{
		border: 1px solid #ccc;
		overflow: hidden;
		height: 50px;
		width: inherit;
		display:flex;
		align-items:center;
	}
	.woocommerce-table__product-name.product-name{
		width:200px
	}
}